Package dev.plex.player

# Class PlexPlayer

java.lang.Object
dev.plex.player.PlexPlayer

@Entity(value="players", useDiscriminator=false) public class PlexPlayer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`adminActive`
`private long`
`coins`
`private boolean`
`commandSpy`
`private boolean`
`frozen`
`private String`
`id`
`private List<String>`
`ips`
`private boolean`
`lockedUp`
`private String`
`loginMessage`
`private boolean`
`muted`
`private String`
`name`
`private List<Note>`
`notes`
`private org.bukkit.permissions.PermissionAttachment`
`permissionAttachment`
`private List<Permission>`
`permissions`
`private String`
`prefix`
`private List<Punishment>`
`punishments`
`private String`
`rank`
`private boolean`
`staffChat`
`private UUID`
`uuid`
`private boolean`
`vanished`

## Constructor Summary

Constructors
Constructor
Description
`PlexPlayer()`
`PlexPlayer(UUID playerUUID)`
`PlexPlayer(UUID playerUUID, boolean loadExtraData)`

## Method Summary

Modifier and Type
Method
Description
`String`
`displayName()`
`org.bukkit.entity.Player`
`getPlayer()`
`Rank`
`getRankFromString()`
`void`
`loadNotes()`
`void`
`loadPunishments()`
`String`
`toJSON()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

@Id private String id

### uuid

@Indexed(options=@IndexOptions(unique=true)) private UUID uuid

### name

@Indexed private String name

### loginMessage

private String loginMessage

### prefix

private String prefix

### staffChat

private boolean staffChat

### vanished

private boolean vanished

### commandSpy

private boolean commandSpy

### frozen

private transient boolean frozen

### muted

private transient boolean muted

### lockedUp

private transient boolean lockedUp

### adminActive

private boolean adminActive

### coins

private long coins

### rank

private String rank

### ips

private List<String> ips

### punishments

private List<Punishment> punishments

### notes

private List<Note> notes

### permissions

private List<Permission> permissions

### permissionAttachment

private transient org.bukkit.permissions.PermissionAttachment permissionAttachment

## Constructor Details

### PlexPlayer

public PlexPlayer()

### PlexPlayer

public PlexPlayer(UUID playerUUID, boolean loadExtraData)

### PlexPlayer

public PlexPlayer(UUID playerUUID)

## Method Details

### displayName

public String displayName()

### getRankFromString

public Rank getRankFromString()

### loadPunishments

public void loadPunishments()

### loadNotes

public void loadNotes()

### toJSON

public String toJSON()

### getPlayer

public org.bukkit.entity.Player getPlayer()